/* comm_link.h */

#define DNAML_HOST_ID        3
#define DNAML_DISPATCHER_ID  1
#define DNAML_MERGER_ID      2
#define DNAML_MASTER_ID      0
#define DNAML_SLAVE_ID       4    /* Id of the first slave */

#define DNAML_WORK       1
#define DNAML_REQUEST    2
#define DNAML_RESULT     3
#define DNAML_DONE       4
#define DNAML_DIR_NAME   5
#define DNAML_FILE_NAME  6
#define DNAML_ADD_SPECS  7
#define DNAML_SEND_TREE  8
#define DNAML_RECV_TREE  9
#define DNAML_STEP_TIME 10
#define DNAML_NUM_TREE  11

#define DNAML_STEP_TIME_COUNT   5
#define DNAML_CHAR_COUNT       50

typedef struct { 
    int done_flag; /* TRUE if received DONE message, FALSE otherwise */
    int send_type;
    int send_to;   /* process id where to send message to */
    int recv_from; /* process id where to receive message from */
} comm_block; 

